Create a contact property
curl --request POST \
--url https://dev-public-api.openphone.dev/contacts/{contactId}/properties \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'Quo-Api-Version: <quo-api-version>' \
--data '
{
"type": "phone-number",
"value": "+1234567890",
"name": "Mobile"
}
'{
"data": {
"id": "690cba5d99c5f41e1fa7aca3",
"type": "phone-number",
"createdAt": "2021-01-01T00:00:00Z",
"updatedAt": "2021-01-01T00:00:00Z",
"name": "Mobile",
"value": "+1234567890"
}
}{
"message": "The input was invalid",
"docs": "https://quo.com/docs",
"title": "Bad Request",
"trace": "6897907457496870895"
}{
"message": "User is unauthorized to perform this action",
"docs": "https://quo.com/docs",
"title": "Unauthorized",
"trace": "6897907457496870895"
}{
"message": "User is forbidden to perform this action",
"docs": "https://quo.com/docs",
"title": "Forbidden",
"trace": "6897907457496870895"
}{
"message": "The contact was not found",
"docs": "https://quo.com/docs",
"title": "Not Found",
"trace": "6897907457496870895"
}{
"message": "An unknown error has occurred",
"docs": "https://quo.com/docs",
"title": "Unknown Error",
"trace": "6897907457496870895"
}Contact Properties
Create a contact property
Add a new property to a contact.
POST
/
contacts
/
{contactId}
/
properties
Create a contact property
curl --request POST \
--url https://dev-public-api.openphone.dev/contacts/{contactId}/properties \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'Quo-Api-Version: <quo-api-version>' \
--data '
{
"type": "phone-number",
"value": "+1234567890",
"name": "Mobile"
}
'{
"data": {
"id": "690cba5d99c5f41e1fa7aca3",
"type": "phone-number",
"createdAt": "2021-01-01T00:00:00Z",
"updatedAt": "2021-01-01T00:00:00Z",
"name": "Mobile",
"value": "+1234567890"
}
}{
"message": "The input was invalid",
"docs": "https://quo.com/docs",
"title": "Bad Request",
"trace": "6897907457496870895"
}{
"message": "User is unauthorized to perform this action",
"docs": "https://quo.com/docs",
"title": "Unauthorized",
"trace": "6897907457496870895"
}{
"message": "User is forbidden to perform this action",
"docs": "https://quo.com/docs",
"title": "Forbidden",
"trace": "6897907457496870895"
}{
"message": "The contact was not found",
"docs": "https://quo.com/docs",
"title": "Not Found",
"trace": "6897907457496870895"
}{
"message": "An unknown error has occurred",
"docs": "https://quo.com/docs",
"title": "Unknown Error",
"trace": "6897907457496870895"
}Authorizations
Headers
API version header. Supported values: 2026-03-30
Available options:
2026-03-30 Path Parameters
The unique identifier of the contact.
Pattern:
^(.*)$Example:
"6a145ff26212a192852c856e"
Body
application/json
Response
OK
Show child attributes
Show child attributes
Was this page helpful?